import { Control, Label } from "godot"
import { Component } from "react-godot-renderer"


const GodotControl = Component.make(Control)
const GodotLabel = Component.make(Label)

export function TestUi1Component() {
    return (
        <GodotControl
            name="Root"
            anchor_left={0}
            anchor_top={0}
            anchor_right={0}
            anchor_bottom={0}
        >
            <GodotLabel
                name="Label"
                text="This is a label"
            />

            <GodotControl name="Issou" />
        </GodotControl>
    )
}
